DBusAtomic Struct Reference
Internal system-dependent API

An atomic integer safe to increment or decrement from multiple threads. More...

`#include <dbus-sysdeps.h>`

## Data Fields

volatile dbus_int32_t | value
| Value of the atomic integer. More...

## Detailed Description

An atomic integer safe to increment or decrement from multiple threads.

Definition at line 229 of file dbus-sysdeps.h.

## Field Documentation

volatile dbus_int32_t DBusAtomic::value

Value of the atomic integer.

Definition at line 234 of file dbus-sysdeps.h.

Referenced by _dbus_atomic_dec(), _dbus_atomic_get(), and _dbus_atomic_inc().

The documentation for this struct was generated from the following file:

- dbus-sysdeps.h